#
# spec file for package inst-source-utils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           inst-source-utils
Summary:        Utilities for creating customized installation sources
License:        GPL-2.0+
Group:          System/YaST
Version:        2016.7.26
Release:        78%{?dist}.3
Url:            http://en.opensuse.org/Inst-source-utils
BuildArch:      noarch
Requires:       gnupg2
Requires:       recode
Obsoletes:      autoyast2-utils <= 2.14.10
Provides:       autoyast2-utils = 2.14.10
Recommends:     create-repo-utils
Requires:       perl-XML-Parser
Source:         inst-source-utils.tar.bz2
Source1:        split.pl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Utilities supporting autoinstallation and creation of customized
installation  sources.

Have a look at http://en.opensuse.org/Inst-source-utils for a detailed
description of each script.



%prep
%setup -n %{name} -q

%build

%install
install -d -m 755 %{buildroot}/%{_prefix}
cp -a * %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root,755)
%_bindir/*
%defattr(644,root,root,755)
%_datadir/%name

%changelog
* Thu Jul 13 2017 ol@infoserver.lv
- fix gnupg require
* Tue Jul 26 2016 ro@suse.de
- ABXML: add diskusage data to susedata xml structure
  (fate#320517)
* Mon May  2 2016 ro@suse.de
- RPMQ: add infrastructure for HEADERSTART and EXTRA
- create_package_descr: use infrastucture to allow running with
  only rpm headers instead of full rpms (bnc#978085)
* Wed Dec  9 2015 ro@suse.de
- update rezip_repo_rsyncable again: fix up filenames if they
  are checksum prefixed, do not change timestamps of the
  files recompressed (bnc#958511)
* Tue Dec  8 2015 ro@suse.de
- rezip_repo_rsyncable: add "-n" option for gzip
* Tue Oct 27 2015 ro@suse.de
- mk_listings: set LC_CTYPE (bnc#910388)
- ABXML.pm: add endoflife in product structure
* Tue Mar 18 2014 ro@suse.de
- update create_package_descr: fix utf8 handling thanks to mls
* Fri Mar 14 2014 ro@suse.de
- create_sha1sums: skip content file actions if content file
  does not exist
* Wed Mar 12 2014 ro@suse.de
- fix bogus code in rezip-repo-rsyncable
* Wed Mar  5 2014 ro@suse.de
- bump version number and add automatic to pre_checkin.sh
* Tue Mar  4 2014 ro@suse.de
- add ABXML.pm and ABStructured.pm
- rewrite rezip_repo_rsyncable to keep checksum type
- add requires for perl-XML-Parser
* Tue Feb 25 2014 ro@suse.de
- fix typo in last change
* Wed Feb 19 2014 ro@suse.de
- update create_package_descr: also recognize new rpm tags
  for Suggests and Enhances (thanks to mls for the patch)
* Fri Sep 20 2013 ro@suse.de
- also add Requires(pre) and Requires(post) to Prq sections
* Wed Apr  3 2013 ro@suse.de
- remove pdb code from create_package_descr
- create_sha1sums: replace "which" by "type -p"
- create_repo_for_patch.sh: same change
- RPMQ: fix for name-version-release > 64 characters
* Fri Jan 25 2013 ro@suse.de
- use "strict" for create_package_descr
- add support for -e (eula_dir) parameter in create_package_descr
* Wed Dec  5 2012 ro@suse.de
- update create_md5sums to get the key files witout a pubring.gpg
* Thu Sep 13 2012 ro@suse.de
- add recent fixes
* Wed Feb 29 2012 ro@suse.de
- mk_changelog: calculate time (two years ago) differently to
  avoid error on leap days.
* Thu Feb  2 2012 adrian@suse.de
- write SHA256 sums into CHECKSUMS file
* Sun Oct 16 2011 lars@linux-schulserver.de
- to too much quoting in create_package_descr
* Fri Oct 14 2011 lrupp@suse.de
- handle spaces in path in create_package_descr (bnc#604730)
* Wed May 25 2011 adrian@suse.de
- fix header generation for SHA256 mode (no SHA1 tag)
* Thu May  5 2011 ro@suse.de
- create_sha1sum and create_sha1sums now understand option "-2"
  to use/create sha256sum(s)
* Thu Apr 28 2011 ro@suse.de
- add option -D to use sha256 checksums in create_package_descr
* Wed Mar 17 2010 ro@suse.de
- add requires to recode
* Mon Feb 22 2010 ro@suse.de
- create_package_descr: output a little statistic
* Wed Jan 27 2010 adrian@suse.de
- add Requires to gpg2 to fix product media signing
* Mon Nov  2 2009 ro@suse.de
- add rezip_repo_rsyncable
- update create_package_descr:
  - skip deltarpms
  - write comment with cmdline only once
  - do not warn for missing pdb data
- update: create_repo_for_patch.sh
  - add sources if wanted
- update: create_sha1sums
  - clear LANG LANGUAGE
- update: createpatch
  - major overhaul
- update: RPMQ.pm
  - add PRETRANS,POSTTRANS, ..., FILEDIGESTALGO
* Mon Oct 12 2009 lrupp@suse.de
- fix bnc#546152: create_sha1sums fails to find custom gpg-key on
  non-english systems
- fix create_package_descr to work with delta-rpms in path
* Fri Aug  7 2009 lrupp@suse.de
- create_package_descr: disable debug output for missing pdb data
- create_repo_for_patch.sh: complete rework (thanks to Ulf Lange)
  fixes bnc #506357
- RPMQ.pm: added the following RPM-tags
  PRETRANS, POSTTRANS, PRETRANSPROG, POSTTRANSPROG, DISTTAG,
  FILEDIGESTALGOS, FILEDIGESTALGO
- createpatch: first part of the code rewrite is done
  New options: -l|--logfile => write output to logfile
  - b|--basedir => obsoletes old script behavior
  - c|--configfile => use options from configfile
* Mon Jul 13 2009 ug@suse.de
- remove the "PATTERNS" line from the created add_on
  (create_update_source)
* Fri Mar  6 2009 ro@suse.de
- create_package_descr: add -Q option to disable Shr tag
* Wed Feb 25 2009 lrupp@suse.de
- create_package_descr: more help text for the -T XTAGS_FILE
- create_sha1sum, create_md5sums - fix bnc#460894: handle multiple
  arguments
* Fri Jan 23 2009 jcborn@suse.de
- added gen-s390-cd-kernel.pl because it is required to create
  bootable S/390 media with kiwi-isntsource
* Mon Nov 24 2008 ro@suse.de
- update create_package_descr
* Mon Nov 24 2008 lrupp@suse.de
- fix pathnames
* Thu Nov 20 2008 ro@suse.de
- create_package_descr: add -T option for xtags file
  format: "packagename: literal text" so that "literal text"
  will be directly included for the package data
* Thu Nov 13 2008 ro@suse.de
- mk_listings: exclude .cr-cache and .snapshot
* Thu Oct 16 2008 lrupp@suse.de
- create_sha1sums:
  + also put the GPG key in each slideshow directory
* Thu Oct 16 2008 ro@suse.de
- create_package_descr:
  + add "-V" option to also put the vendor for each rpm in
  the generated metadata
* Thu Oct  9 2008 lrupp@suse.de
- quick fix for bnc#409927:
  - create_sha1sums:
    + create SHA1SUM files and sign them in the slideshow directory
  - added create_sha1sum which is a copy of create_md5sums
    (can't use create_sha1sum_s_ as this name is already in use)
- removed NoSource tags
* Mon Jul 21 2008 lrupp@suse.de
- create_directory_yast:
  + add "-f" option to overwrite existing directory.yast files
- create_md5sums:
  + small code cleanups only
- create_package_descr:
  + added option -F (do file list: packages.FL)
  + added option -B (add requires for src packages)
  + fix warning message if -x is not specified (typo)
  + EXTRA_REQUIRES_FILE option switched from -p to -r
- create_repo_for_patch.sh:
  + fix quoting
- create_sha1sums:
  + added option "-x" to add additional meta files in content file
  + beetter check for repomd.xml
  + added "-n" option to skip re-signing
- mk_changelog:
  + small code cleanup
* Fri May 16 2008 ro@suse.de
- patches upstreamed
* Thu May 15 2008 schwab@suse.de
- Fix syntax and quoting bugs.
* Fri Feb  1 2008 lrupp@suse.de
- fix file permissions (fixes bnc#357313 and bnc#351070)
- handle also boot/*/config boot/*/common (create_sha1sums)
- fix path to REPOFILE (create_sha1sums)
* Tue Dec 11 2007 lrupp@suse.de
- added mk_changelog (for add-on creator)
- add fallback mode for createpatch (see #308684)
* Wed Sep 26 2007 ro@suse.de
- remove dependency to createrepo for now
* Wed Sep 26 2007 lrupp@suse.de
- fixes for Bug #308684:
  + require createrepo
  + be more secure in bash
* Tue Jul 17 2007 lrupp@suse.de
- createpatch: use CONFIRMATION_FILE as description to make clear,
  that this creates a confirmation popup for the user (#205534)
* Fri Jul 13 2007 lrupp@suse.de
- create_md5sums:
  + fix typo in usage
- create_package_descr:
  + search data in main package for xxbit packages
  + add license notes as confirmlic so YaST can display them
    even in plain text mode
- create_sha1sums: added to generate the SHA1SUMs in content file
- createpatch:
  + support "license_to_confirm": add an EULA to the patch, read
    from the file specified (see #205534 for details)
  + beautify usage message
  + added @packagelist to condition
- mk_listings:
  + handle whitespaces in directory names
  + use --rsyncable as gzip option: `rsync' program can take
    advantage of similarities during sync over network
  + replace standard Names (CD,DVD,inst-source)
  + use '--nodigest --nosignature' for rpm queries if supported
  + re-create hardlinks from basedir to CD-dir if CD*/*.gz exists
* Tue May 15 2007 ories@suse.de
- added support for adding supplements tag (#262859, #256038)
- added support for overwriting the default freshens value
- fixed one \" escaping typo
- do not delete product.xml
* Thu Mar 15 2007 lrupp@suse.de
- patched copy-sources.sh
* Tue Mar 13 2007 lrupp@suse.de
- fixed source again - fixed script, too
* Fri Mar  9 2007 lrupp@suse.de
- fixed source tarball
* Mon Mar  5 2007 lrupp@suse.de
- add package to SLE10-SP1 tree (#250860)
* Mon Feb 26 2007 lrupp@suse.de
- fixed #214273 :  inst-source-utils perl module in subdir of
  /usr/bin is questionable/ugly
* Thu Oct 19 2006 lrupp@suse.de
- Obsolete only autoyast-utils <= 2.14.6
* Fri Oct 13 2006 lrupp@suse.de
- Initial version
